package com.gic.haoban.manage.api.dto.moment;

import java.io.Serializable;
import java.util.Date;

public class TaskListWxaDTO implements Serializable {

    private Long planId ;
    /**
     * 计划名称
     */
    private String name ;

    /**
     * 任务总数
     */
    private int totalNum ;

    /**
     * 已完成
     */
    private int execNum ;
    /**
     * 未完成
     */
    private int notExecNum ;

    /**
     * 开始时间
     */
    private Date startTime ;

    /**
     * 结束时间
     */
    private Date endTime ;

    /**
     * 点赞数
     */
    private int likeCount ;

    /**
     * 评论数
     */
    private int commentCount ;

    // 0已失效1待执行 2已执行
    private Integer taskStatus ;

    private String clerkName ;

    private String clerkId ;

    private Date sendTime ;

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Integer getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(Integer taskStatus) {
        this.taskStatus = taskStatus;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(int totalNum) {
        this.totalNum = totalNum;
    }

    public int getExecNum() {
        return execNum;
    }

    public void setExecNum(int execNum) {
        this.execNum = execNum;
    }

    public int getNotExecNum() {
        return notExecNum;
    }

    public void setNotExecNum(int notExecNum) {
        this.notExecNum = notExecNum;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public int getLikeCount() {
        return likeCount;
    }

    public void setLikeCount(int likeCount) {
        this.likeCount = likeCount;
    }

    public int getCommentCount() {
        return commentCount;
    }

    public void setCommentCount(int commentCount) {
        this.commentCount = commentCount;
    }
}